Extending Qt Creator Manual | ApplicationLauncher

Extending Qt Creator Manual 4.4.0

# ApplicationLauncher Class

(ProjectExplorer::ApplicationLauncher)

The ApplicationLauncher class is the application launcher of the ProjectExplorer plugin. More...

Header: | #include <ApplicationLauncher>

- List of all members, including inherited members

## Public Types

enum | Mode { Console, Gui }

## Public Functions

| ApplicationLauncher(QObject *parent = nullptr)
| ~ApplicationLauncher() override
Utils::ProcessHandle | applicationPID() const
void | bringToForeground()
QString | errorString() const
bool | isRunning() const
QProcess::ProcessError | processError() const
void | setProcessChannelMode(QProcess::ProcessChannelMode mode)
void | start(const Runnable &runnable)
void | start(const Runnable &runnable, const IDevice::ConstPtr &device)
void | stop()

## Signals

void | appendMessage(const QString &message, Utils::OutputFormat format)
void | error(QProcess::ProcessError error)
void | finished(bool success)
void | processExited(int exitCode, QProcess::ExitStatus)
void | processStarted()
void | remoteProcessStarted()
void | remoteStderr(const QString &output)
void | remoteStdout(const QString &output)
void | reportError(const QString &errorOutput)
void | reportProgress(const QString &progressOutput)

## Static Public Members

QString | msgWinCannotRetrieveDebuggingOutput()

## Detailed Description

The ApplicationLauncher class is the application launcher of the ProjectExplorer plugin.

Encapsulates processes running in a console or as GUI processes, captures debug output of GUI processes on Windows (outputDebugString()).

See also Utils::ConsoleProcess.

## Member Type Documentation

### enum ApplicationLauncher::Mode

## Member Function Documentation

### ApplicationLauncher::ApplicationLauncher(QObject *parent = nullptr)

Default constructs an instance of ApplicationLauncher.

### ApplicationLauncher::~ApplicationLauncher()

Destroys the instance of ApplicationLauncher.

### `[signal]` void ApplicationLauncher::appendMessage(const QString &message, Utils::OutputFormat format)

### Utils::ProcessHandle ApplicationLauncher::applicationPID() const

### void ApplicationLauncher::bringToForeground()

### `[signal]` void ApplicationLauncher::error(QProcess::ProcessError error)

### QString ApplicationLauncher::errorString() const

### `[signal]` void ApplicationLauncher::finished(bool success)

### bool ApplicationLauncher::isRunning() const

### `[static]` QString ApplicationLauncher::msgWinCannotRetrieveDebuggingOutput()

### QProcess::ProcessError ApplicationLauncher::processError() const

### `[signal]` void ApplicationLauncher::processExited(int exitCode, QProcess::ExitStatus)

### `[signal]` void ApplicationLauncher::processStarted()

### `[signal]` void ApplicationLauncher::remoteProcessStarted()

### `[signal]` void ApplicationLauncher::remoteStderr(const QString &output)

### `[signal]` void ApplicationLauncher::remoteStdout(const QString &output)

### `[signal]` void ApplicationLauncher::reportError(const QString &errorOutput)

### `[signal]` void ApplicationLauncher::reportProgress(const QString &progressOutput)

### void ApplicationLauncher::setProcessChannelMode(QProcess::ProcessChannelMode mode)

### void ApplicationLauncher::start(const Runnable &runnable)

### void ApplicationLauncher::start(const Runnable &runnable, const IDevice::ConstPtr &device)

### void ApplicationLauncher::stop()